Fail2Ban support for Elgg 1.0

I have found this plugin :

https://github.com/mapkyca/elgg-fail2ban

It works with Elgg 2.0.x. I don't see it in the plugin repository. It should be cool if you add it.

Have a nice day